# Interface ICefApp

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefApp = interface(ICefBaseRefCounted)`

## Description

Implement this interface to provide handler implementations. Methods will be called by the process and/or thread indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_app_capi.h">CEF source file: /include/capi/cef_app_capi.h (cef_app_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefApp

## Overview

### Methods

| `procedure OnBeforeCommandLineProcessing(const processType: ustring; const commandLine: ICefCommandLine);`
| `procedure OnRegisterCustomSchemes(const registrar: TCefSchemeRegistrarRef);`
| `procedure GetResourceBundleHandler(var aHandler : ICefResourceBundleHandler);`
| `procedure GetBrowserProcessHandler(var aHandler : ICefBrowserProcessHandler);`
| `procedure GetRenderProcessHandler(var aHandler : ICefRenderProcessHandler);`
| `procedure RemoveReferences;`

## Description

### Methods

| `procedure OnBeforeCommandLineProcessing(const processType: ustring; const commandLine: ICefCommandLine);`

Provides an opportunity to view and/or modify command-line arguments before processing by CEF and Chromium. The |process_type| value will be NULL for the browser process. Do not keep a reference to the ICefCommandLine object passed to this function. The TCefSettings.command_line_args_disabled value can be used to start with an NULL command-line object. Any values specified in CefSettings that equate to command-line arguments will be set before this function is called. Be cautious when using this function to modify command-line arguments for non-browser processes as this may result in undefined behavior including crashes.

###### Attributes

GUID['{970CA670-9070-4642-B188-7D8A22DAEED4}']

| `procedure OnRegisterCustomSchemes(const registrar: TCefSchemeRegistrarRef);`
Provides an opportunity to register custom schemes. Do not keep a reference to the |registrar| object. This function is called on the main thread for each process and the registered schemes should be the same across all processes.

| `procedure GetResourceBundleHandler(var aHandler : ICefResourceBundleHandler);`
Return the handler for resource bundle events. If no handler is returned resources will be loaded from pack files. This function is called by the browser and render processes on multiple threads.

| `procedure GetBrowserProcessHandler(var aHandler : ICefBrowserProcessHandler);`
Return the handler for functionality specific to the browser process. This function is called on multiple threads in the browser process.

| `procedure GetRenderProcessHandler(var aHandler : ICefRenderProcessHandler);`
Return the handler for functionality specific to the render process. This function is called on the render process main thread.

| `procedure RemoveReferences;`
Custom procedure to clear all references.

Generated by PasDoc 0.17.0.snapshot.